
/*
A simple C++ wrapper around WIN32 WNDCLASSEX structure
Copyright (C) 2000 Antti Markus (antti@pld.ttu.ee)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef appH
#define appH

#define STRICT

#include <windows.h>

class TWindowClass
{
private:
  WNDCLASSEX WindowClass;
public:
  TWindowClass(void);
  TWindowClass(UINT Style, WNDPROC pCallback,
               HINSTANCE hInst, HICON hIcon,
               HICON hSmallIcon,
               HBRUSH hBackground,
               LPCTSTR pMenuName,
               LPCTSTR pClassName);
  TWindowClass(UINT Style, WNDPROC pCallback,
               HINSTANCE hInst, HICON hIcon,
               HICON hSmallIcon,
               HBRUSH hBackground,
               WORD MenuID,
               LPCTSTR pClassName);
  ATOM Register(void);
};

#endif